Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class StringValueExp

    java.lang.Object
      |
      +--javax.management.QueryEval
            |
            +--javax.management.StringValueExp

All Implemented Interfaces:
  java.io.Serializable, ValueExp

public class StringValueExp
extends QueryEval
implements ValueExp

Represents strings that are arguments to relational constraints. A `StringValueExp` may be used anywhere a `ValueExp` is required.

Author:
  Young Yang
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.management.QueryEval
`server`

Constructor Summary
`StringValueExp()` Basic constructor.
`StringValueExp(java.lang.String val)` Creates a new `StringValueExp` representing the string literal val.

Method Summary
`ValueExp` | `apply(ObjectName name)` Applies the ValueExp on a MBean.
`java.lang.String` | `getValue()` Returns the string represented by the `StringValueExp` instance.
`java.lang.String` | `toString()` Returns the string representing the object.

Methods inherited from class javax.management.QueryEval
`setMBeanServer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.ValueExp
`setMBeanServer`

Constructor Detail

### StringValueExp

    public StringValueExp()

  Basic constructor.

### StringValueExp

    public StringValueExp(java.lang.String val)

  Creates a new `StringValueExp` representing the string literal val.

Method Detail

### getValue

    public java.lang.String getValue()

  Returns the string represented by the `StringValueExp` instance.

### toString

    public java.lang.String toString()

  Returns the string representing the object.

  Overrides:
    `toString` in class `java.lang.Object`

### apply

    public ValueExp apply(ObjectName name)
                   throws BadStringOperationException,
                          BadBinaryOpValueExpException,
                          BadAttributeValueExpException,
                          InvalidApplicationException

  Applies the ValueExp on a MBean.

  Specified by:
    `apply` in interface `ValueExp`
  Parameters:
    `name` - The name of the MBean on which the ValueExp will be applied.
  Returns:
    The `ValueExp`.
  Throws:
    `BadStringOperationException`
    `BadBinaryOpValueExpException`
    `BadAttributeValueExpException`
    `InvalidApplicationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD